# OBSReplay

A lightweight OBS script that automatically organizes recordings, replays, and screenshots into folders named after the current scene.

## Features
- Moves recordings, replays, and screenshots into scene-named directories.
- Supports optional remuxing of `.mkv` files to `.mp4` using FFmpeg.
- Customizable output path and FFmpeg executable path.

## Installation
1. Download the script and place it in your OBS scripts directory.
2. In OBS, go to **Tools > Scripts**.
3. Click **+**, select `OBSReplay.lua`, and load it.

## Configuration
- **Output Path**: The directory where files will be organized.
- **FFmpeg Path**: Path to the FFmpeg executable (leave blank to use system default).
- **Remux to MP4**: Converts `.mkv` recordings to `.mp4` after moving.

## Usage
1. Start recording, replay buffer, or take a screenshot in OBS.
2. The script automatically moves the file to a folder matching the active scene's name.
3. If remuxing is enabled, `.mkv` files are converted to `.mp4`.

## Notes
- Ensure FFmpeg is installed and accessible if using the remux feature.
- The script creates folders if they don’t exist.

## License
MIT License

![Code Stats](https://wakapi.atums.world/api/badge/creations/interval:alltime/project:OBSReplay)
